//{block name="backend/trusted_shops_badge/main"}
Ext.define('Shopware.apps.TrustedShopsBadge.store.TrustedShopsBadge', {

    /**
     * Defining the component as extension of Ext.data.Store
     */
    extend: 'Ext.data.Store',

    /**
     * Defining the used model
     * @string
     */
    model: 'Shopware.apps.TrustedShopsBadge.model.TrustedShopsBadge',

    /**
     * Configuring autoloading after init
     * @boolean
     */
    autoLoad: false,

    /**
     * Enabling remote sorting
     */
    remoteSort: true,

    /**
     * Enabling remote filter
     */
    remoteFilter: true
});
//{/block}