{extends file="parent:frontend/detail/index.tpl"}

{* Including the Product Widget below the product title *}
{block name="frontend_detail_index_name"}
    {$smarty.block.parent}
    {if $sTrustedShops.id != ''
        && (($sTrustedShops.collectRatings && !$sTrustedShops.expertMode) || ($sTrustedShops.collectRatingsExpert && $sTrustedShops.expertMode))
        && (($sTrustedShops.trustedShopsShowRatingsStarsActive && !$sTrustedShops.expertMode) || ($sTrustedShops.trustedShopsShowRatingsStarsActiveExpert && $sTrustedShops.expertMode))
    }
        <div id="ts_product_widget_position" style="clear: both; padding-top:5px;">

        </div>
        {if $sTrustedShops.expertMode && $sTrustedShops.trustedShopsShowRatingsStarsCode != ''}
            {$sTrustedShops.trustedShopsShowRatingsStarsCode|replace:"%sku%":$sArticle.ordernumber}
        {else}
            <script type="text/javascript" src="//widgets.trustedshops.com/reviews/tsSticker/tsProductStickerSummary.js"></script>
            <script>
                var summaryBadge = new productStickerSummary();
                summaryBadge.showSummary(
                        {
                            {block name="frontend_detail_index_trus1TrustedShopsBadge_productwidget_settings"}
                            'tsId': "{$sTrustedShops.id|escape:'javascript'}",
                            'sku': ["{$sArticle.ordernumber|escape:'javascript'}"], /// <---- Einsetzen bei Go-Live
                            //'sku': ['msj012c'],
                            'element': '#ts_product_widget_position',
                            'starColor' : '{$sTrustedShops.starColor|escape:'javascript'}',
                            'starSize' : '{$sTrustedShops.starSize|escape:'javascript'}px',
                            'fontSize' : '{$sTrustedShops.fontSize|escape:'javascript'}px',
                            'showRating' : 'true' ,
                            'scrollToReviews' : 'false' ,
                            {if $sTrustedShops.hideEmptyStarRatings|escape:'javascript' == 1}
                                'enablePlaceholder': 'false'
                            {else}
                                'enablePlaceholder': 'true'
                            {/if}

                            {/block}
                        }
                );
            </script>
        {/if}
    {/if}
{/block}