{extends file="parent:frontend/index/index.tpl"}

{* Including the Trust Badge at end of the body-tag *}
{block name='frontend_index_body_inline'}
    {$smarty.block.parent}
    {if $sTrustedShops.id != ''}
        {if $sTrustedShops.expertMode && $sTrustedShops.trustedShopsTrustBadgeCode != ''}
            {$sTrustedShops.trustedShopsTrustBadgeCode}
        {else}
            <script type="text/javascript">
                (function () {
                    var _tsid = '{$sTrustedShops.id|escape:'javascript'}';
                    _tsConfig = {
                        {block name="frontend_index_index_tsTrustedShopsBadge_trustbadge_settings"}
                        'yOffset': '{$sTrustedShops.yOffset|escape:'javascript'}', /* offset from page bottom */
                        'variant': '{$sTrustedShops.badgeVariant|escape:'javascript'}', /* default, reviews, custom, custom_reviews */
                        'customElementId': '', /* required for variants custom and custom_reviews */
                        'trustcardDirection': '', /* for custom variants: topRight, topLeft, bottomRight, bottomLeft */
                        'customBadgeWidth': '', /* for custom variants: 40 - 90 (in pixels) */
                        'customBadgeHeight': '', /* for custom variants: 40 - 90 (in pixels) */
                        'disableResponsive': 'false', /* deactivate responsive behaviour */
                        {if $sTrustedShops.badgeVariant|escape:'javascript' == 'hide'}
                        'disableTrustbadge': 'true' /* deactivate trustbadge */
                        {else}
                        'disableTrustbadge': 'false' /* deactivate trustbadge */
                        {/if}
                        {/block}
                    };
                    var _ts = document.createElement('script');
                    _ts.type = 'text/javascript';
                    _ts.charset = 'utf-8';
                    _ts.async = true;
                    _ts.src = '//widgets.trustedshops.com/js/' + _tsid + '.js';
                    var __ts = document.getElementsByTagName('script')[ 0 ];
                    __ts.parentNode.insertBefore(_ts, __ts);
                })();
            </script>
        {/if}

        {if $sTrustedShops.expertMode && $sTrustedShops.richSnippetsExpertCode != '' && $sTrustedShops.richSnippetsActiveExpert && ($Controller|in_array:$sTrustedShops.richSnippetsLocationsExpert)}
            {$sTrustedShops.richSnippetsExpertCode|replace:'%shopname%':$sTrustedShops.richSnippetsConfig[0].shopName|replace:'%result%':$sTrustedShops.richSnippetsConfig[0].result|replace:'%max%':$sTrustedShops.richSnippetsConfig[0].max|replace:'%count%':$sTrustedShops.richSnippetsConfig[0].count }
        {elseif !$sTrustedShops.expertMode && ($Controller|in_array:$sTrustedShops.richSnippetsLocations) && $sTrustedShops.richSnippetsActive}
            <script type="application/ld+json">
                {
                "@context": "http://schema.org",
                "@type": "Organization",
                "name": "{$sTrustedShops.richSnippetsConfig[0].shopName}",
                "aggregateRating" : {
                "@type": "AggregateRating",
                "ratingValue" : "{$sTrustedShops.richSnippetsConfig[0].result}",
                "bestRating" : "{$sTrustedShops.richSnippetsConfig[0].max}",
                "ratingCount" : "{$sTrustedShops.richSnippetsConfig[0].count}"
                }
                }
            </script>
        {/if}
    {/if}
{/block}