{extends file='parent:frontend/index/header.tpl'}

{block name="frontend_index_header_javascript_jquery"}
    {$smarty.block.parent}
    {if ($sTrustedShops.id != '' && $sTrustedShops.expertMode) && ($Controller == 'detail' || $Controller == 'listing' || $Controller == 'index')}
        <script type="text/javascript">

            var waitForEl = function (selector, callback) {
                if (jQuery(selector).length) {
                    callback();
                } else {
                    setTimeout(function () {
                        waitForEl(selector, callback);
                    }, 1);
                }
            };
            jQuery(document).ready(function ($) {
                var ratingStarsEl = '.ts-rating-light.ts-rating.productreviewsSummary';
                var productReviewsEl = '.ts-rating-light.ts-rating.productreviews';
                var customerReviewsEl = '.ts-rating-light.ts-rating.skyscraper_vertical, .ts-rating-light.ts-rating.skyscraper_horizontal, .ts-rating-light.ts-rating.vertical, .ts-rating-light.ts-rating.testimonial';

                if ('{$sTrustedShops.reviewStarsSelector}') {
                    waitForEl(ratingStarsEl, function () {
                        $(ratingStarsEl).appendTo('{$sTrustedShops.reviewStarsSelector}');
                    });
                }
                if ('{$sTrustedShops.reviewStickerSelector}') {
                    waitForEl(productReviewsEl, function () {
                        $(productReviewsEl).appendTo('{$sTrustedShops.reviewStickerSelector}');
                    });
                }
                if ('{$sTrustedShops.customerReviewsSelector}') {
                    waitForEl(customerReviewsEl, function () {
                        $(customerReviewsEl).appendTo('{$sTrustedShops.customerReviewsSelector}');
                    });
                }
            });
        </script>
    {/if}

{/block}